get
https://{domainname}/CAServices/CA_PhoneManage/PhoneManageV2.php
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Deprecation UpdateThis API will be deprecated by 30th April 2025.
We recommend to start using the new version of the APIs:
Get Phone Number Details API is used to get the existing phone number details in CloudAgent. The user MUST pass the ‘action’ parameter with the ‘get’ function.
To access this API the following parameters MUST be passed.
| Parameter | Description |
|---|---|
| apiKey* | Available in CloudAgent admin login |
| userName* | CloudAgent user name |
| action* | The action MUST be ‘get’. (case sensitive) |
| phoneNumber* | Phone number for which the details are required |
Note
- Parameters with ‘*’ are to be considered as mandatory parameters.
- The action parameter, ‘get’ is case sensitive.
Possible responses
| Invalid api_key | "status": "error" "message": "userName or apiKey not valid" |
| Invalid action | "status": "error" "message": "action not valid" |
| Invalid phoneNumber | "status": "error" "message": "phoneNumber must be numeric" |
| Invalid username | {"status":"error","message":" userName or apiKey not valid"} |
| Empty phoneNumber | "status": "error" "message": "phoneNumber cannot be empty" |
| phoneNumber details | "phoneNumber": "94XXXXXX" "phoneName": "PaXXXXX" |
Further InsightsBy default, the domain name is https://in1-ccaas-api.ozonetel.com. Please refer here to change based on the need.
